<template>
    <div>
        <div class="col-md-4 col-12 q-ml-md-md font-18 text-black q-mt-xs">
            <q-btn
                class="q-pa-none"
                flat
                no-caps
                @click="selectCurrentPage('default')"
            >
                <q-icon name="arrow_back" color="black" size="25px" />
                <span class="font-18 helvetica-neue-medium q-pl-md">
                    {{ $t('client.createClient') }}
                </span>
            </q-btn>
        </div>
        <div class="row justify-start item-center q-mt-lg col-12">
            <div class="col-md-11 q-ml-md-md font-10 text-black q-mt-xs">
                <span class="font-18 helvetica-neue-medium q-pl-md">
                    Upload your clients csv here
                </span>
            </div>
            <div
                class="
                    col-md-11
                    col-12
                    items-center
                    row
                    justify-center
                    q-mt-lg
                    upload
                    q-pl-md-sm q-ml-md-lg
                "
            >
                <q-file
                    standout
                    color="transparent"
                    bg-color="transparent"
                    borderless
                    class="img-input"
                    v-model="file"
                    display-value=""
                    item-aligned
                >
                    <template v-slot:append>
                        <q-avatar class="img-picker" square>
                            <q-icon
                                class="img-icon"
                                name="img:icons\uploadIcon.png"
                            />
                        </q-avatar>
                        <span class="img-text helvetica-neue-medium">
                            Drop your files here
                        </span>
                    </template>
                </q-file>
                <!--  <q-file v-model="file" label="Pick one file" filled style="max-width: 300px" /> -->
            </div>
        </div>
    </div>
</template>
<script lang="ts">
import { useStore } from 'src/store';
import { defineComponent, ref, reactive, watch } from 'vue';

export default defineComponent({
    name: 'CreateCustomerCSV',
    setup(props, { emit }) {
        let state = reactive({
            clientName: '' as any,
            hp: '' as any
        });
        const store = useStore();
        const file = ref<File[]>();
        const selectCurrentPage = (page: any) => {
            emit('update-customer', page);
        };

        watch (file, async (currentValue) => {
            if (currentValue)  {
                const fileResult =  await store.dispatch('file/upload', { file: file.value });
                if(fileResult){
                   /*  updateAvatar(false, fileResult.path) */
                   store.dispatch('business/createCustomerCSV', fileResult.path);
                }
            }
        });

        return {
            state,
            store,
            selectCurrentPage,
            dense: ref(true),
            file
        };
    }
});
</script>
